Bug 150925 - mk_images called with --debug misaligns arguments
mk_images called with --debug misaligns arguments
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 19:43 EST by Ingo Pakleppa
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 13:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingo Pakleppa 2005-03-11 19:43:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6)
Gecko/20050225 Firefox/1.0.1

Description of problem:
If you pass --debug from buildinstall to mk_images, all arguments will
end up misaligned, causing the build to fail. There should be a shift
following the DEBUG=$1



Version-Release number of selected component (if applicable):
10.0.2 and probably subsequent ones.

How reproducible:
Always

Steps to Reproduce:
1. Call buildinstall --debug (you must apply a patch that I recently
submitted in bug 150920 for this to work)\


Actual Results:  The build aborts, complaining that several
anaconda-runtime files are missing. The same build without the --debug
argument succeeds.

Expected Results:  The build should succeed with or without the
--debug argument.

Additional info:

Here is a patch that should fix this problem.

diff -Naurb anaconda-10.0.2.original/scripts/mk-images
anaconda-10.0.2/scripts/mk-images
--- anaconda-10.0.2.original/scripts/mk-images  2004-08-20
11:59:42.000000000 -0700
+++ anaconda-10.0.2/scripts/mk-images   2005-03-11 16:32:45.128613544
-0800
@@ -11,6 +11,7 @@
 DEBUG=""
 if [ "$1" == "--debug" ]; then
     DEBUG="--debug"
+    shift
 fi

 if [ -z "$1" -o -z "$2" -o -z "$3" -o -z "$4" -o -z "$5" -o -z "$6"
-o -z "$7" ]; then usage; fi
Comment 1 Jeremy Katz 2005-03-14 13:40:30 EST
Applied in CVS, thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.